Name:           python-moddb
Version:        0.8.1
Release:        1%{?dist}
Summary:        A Python scraper/parser for ModDB.
License:        MIT
URL:            https://github.com/ClementJ18/moddb
Source0:        https://files.pythonhosted.org/packages/ae/7d/8d5cf4e2aac9563dc2d6ba6a313aaef89c9f647b7df2e71907971d49e931/moddb-0.8.1.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-requests
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python-pyrate-limiter
BuildRequires:  python3-toolz
Requires: python-pyrate-limiter


%global _description \
The goal of the library is to be able to navigate ModDB purely \
programmatically through scraping and parsing of the various models \
present on the website. This is based off a command of my bot which \
can parse either a game or a mod, this command gave birth to the \
original library which was extremely limited in its abilities and \
only able to parse a few pages with inconsistencies. This library \
is a much more mature and professional attempt at the whole idea, \
adding on a much deeper understanding of OOP.


%description %{_description}


%package -n python3-moddb
Summary:        %{summary}


%description -n python3-moddb %{_description}


%prep
%autosetup -p1 -n moddb-%{version}


%build
%py3_build


%install
%py3_install


%check
%py3_check_import moddb


%files -n python3-moddb
%license LICENSE
%doc README.md
%{python3_sitelib}/moddb/
%{python3_sitelib}/moddb-%{version}-py%{python3_version}.egg-info/


%changelog
* Thu Jan 26 2023 Steve Cossette <farchord@gmail.com> and Chris King <bunnyapocalypse@protonmail.com> - 0.8.1-1
- Initital release of moddb (0.8.1)
